import dynamic from "next/dynamic";
import Header from "@/widgets/Header/Header";
import StatisticsSection from "@/widgets/StatisticsSection/StatisticsSection";
import RatingSection from "@/widgets/RatingSection/RatingSection";
import NewsSection from "@/widgets/NewsSection/NewsSection";
import MapSection from "@/widgets/MapSection/MapSection";

const Home = async ({
  searchParams,
}: {
  searchParams: {
    ["тип-дороги"]: string;
    ["поиск-на-карте"]: string;
    ["поиск-рейтинг"]: string;
    ["страница-рейтинга"]: string;
  };
}) => {
  return (
    <div className="home">
      <Header />
      <StatisticsSection />
      {/* <MapSection searchParams={searchParams} /> */}
      <RatingSection searchParams={searchParams} />
      <NewsSection />
    </div>
  );
};

export default Home;
